## Index

### Interfaces

- Context
- JSONContext

### Type aliases

- Config
- JSONReactElement
- OutputHTMLConfig
- OutputHTMLContext
- RenderConfig

## Type aliases

### Config

Config: { debug?: undefined | false | true; jsonx: jsonx; logError?: undefined | ((...params: any[]) => any); props?: any; renderIndex?: undefined | number; resources?: any }

- Defined in types/jsonx/main.ts:29

#### Type declaration

- ##### Optional debug?: undefined | false | true

- ##### jsonx: jsonx

- ##### Optional logError?: undefined | ((...params: any[]) => any)

- ##### Optional props?: any

- ##### Optional renderIndex?: undefined | number

- ##### Optional resources?: any

### JSONReactElement

JSONReactElement: { children?: null | string | JSONReactElement[] | any; props?: any; type: string }

- Defined in types/jsonx/main.ts:4

#### Type declaration

- ##### Optional children?: null | string | JSONReactElement[] | any

- ##### Optional props?: any

- ##### type: string

### OutputHTMLConfig

OutputHTMLConfig: { children?: null | string | JSONReactElement[]; props?: any; type?: undefined | string } & Config

- Defined in types/jsonx/main.ts:49

### OutputHTMLContext

OutputHTMLContext: { useJSON: boolean } & Context

- Defined in types/jsonx/main.ts:45

### RenderConfig

RenderConfig: Config & { DOM?: HTMLElement; options?: any; portal?: undefined | false | true; querySelector: string }

- Defined in types/jsonx/main.ts:38